- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libvisio::VSDOutputElement Class Referenceabstract
Inheritance diagram for libvisio::VSDOutputElement:

## Public Member Functions
| VSDOutputElement ()
virtual | ~VSDOutputElement ()
virtual void | draw (libwpg::WPGPaintInterface *painter)=0
virtual VSDOutputElement * | clone ()=0

## Constructor & Destructor Documentation

libvisio::VSDOutputElement::VSDOutputElement | ( |  | ) |
| inline

virtual libvisio::VSDOutputElement::~VSDOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual VSDOutputElement* libvisio::VSDOutputElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDEndTextObjectOutputElement, libvisio::VSDEndTextLineOutputElement, libvisio::VSDEndTextSpanOutputElement, libvisio::VSDInsertTextOutputElement, libvisio::VSDStartTextSpanOutputElement, libvisio::VSDEndLayerOutputElement, libvisio::VSDStartLayerOutputElement, libvisio::VSDStartTextLineOutputElement, libvisio::VSDStartTextObjectOutputElement, libvisio::VSDGraphicObjectOutputElement, libvisio::VSDPathOutputElement, and libvisio::VSDStyleOutputElement.

virtual void libvisio::VSDOutputElement::draw | ( | libwpg::WPGPaintInterface * | painter | ) |
| pure virtual

Implemented in libvisio::VSDEndTextObjectOutputElement, libvisio::VSDEndTextLineOutputElement, libvisio::VSDEndTextSpanOutputElement, libvisio::VSDInsertTextOutputElement, libvisio::VSDStartTextSpanOutputElement, libvisio::VSDEndLayerOutputElement, libvisio::VSDStartLayerOutputElement, libvisio::VSDStartTextLineOutputElement, libvisio::VSDStartTextObjectOutputElement, libvisio::VSDGraphicObjectOutputElement, libvisio::VSDPathOutputElement, and libvisio::VSDStyleOutputElement.

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp